Subject: Re: bug#48659: Escapes are deleted after executing "dired-toggle-read-only" in *Find* buffer

From: Arthur Miller <[email-masked]>
Date: Sat, 29 May 2021 08:29:26 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Rodrigo Morales <[email-masked]>
>> Cc: [email-masked]
>> Date: Wed, 26 May 2021 18:55:14 -0500
>> 
>> > Can anyone else reproduce this strange problem?  I don't see how we
>> > could debug this without being able to reproduce.
>> 
>> Here you have two recordings that might make things clearer. Perhaps, I
>> wasn't clear enough in the first messaage I sent and that's why you are
>> not able to reproduce it, so I hope these recordings will present more
>> context regarding this "possible bug".
>> 
>> In the following GIF, you can see that spaces are removed after having
>> finished editing the dired buffer through "dired-toggle-read-only". This
>> can be seen in the output of the "watch" command that is shown in the
>> running shell at the right side.
>
> I believe you.  I just don't see this in the GNU/Linux system where I
> tried this (and also on MS-Windows, FWIW).  In my testing the file
> names remain intact after "C-x C-q", including the space characters.
>
> So either the recipe is not complete, or I somehow didn't follow it
> 100%, or something else is at work on your system that doesn't happen
> on mine.  Thus my question whether someone else sees that who could
> then debug the problem.

If it is of any worth, I am using 27.1 on Win 10 and 28.0.50 compiled on
27th march on Arch Linux and I can't reproduce either. Spaces in names
seems correctly preserved on my machine.